about/urls.py
from django.urls import path
from . import views

app_name = 'about'

urlpatterns = [
    path('', views.about, name='about'),
    path('motorcycle_type/', views.motorcycle ,name='motorcycle')
]

pemesanan/urls.py
from django.urls import path
from .views import *
#url for app

app_name = 'pemesanan'

urlpatterns = [
    path('', form_pemesanan, name = 'form_pemesanan'),
    path('add_pemesanan/', add_pemesanan, name = 'add_pemesanan'),
    path('api/rides/', api_rides, name='api_rides')
]

pinjemin/urls.py
from django.contrib import admin
from django.urls import path
from django.conf.urls import include
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('blog/', include('recApp.urls')),
    path('rent/', include('myapp.urls')),
    path('rec/', include('recApp.urls')),
    path('about/', include('about.urls')),
    path('pemesanan/', include('pemesanan.urls')),
    path('choices/', include('dtbsmotor.urls')),
    path('rent/', include('myapp.urls')),
    path('oauth/', include('oauth.urls'))
] + static(settings.MEDIA_URL, document_root = settings.MEDIA_ROOT)

    

pemesanan/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime, date
from dtbsmotor.models import *

class Pemesanan(models.Model):
    pickuptime = models.DateTimeField()
    returningtime = models.DateTimeField()
    locationpickup = models.CharField(max_length=40)
    locationreturn = models.CharField(max_length=40)
    name = models.CharField(max_length=40)
    phonenumber = models.CharField(max_length=14)
    email = models.CharField(max_length=30)
    additionalinfo = models.CharField(max_length=200)
    ride = models.CharField(max_length=100, null=True)
    # Create your models here.

pemesanan/views.py
from django.shortcuts import render, redirect
from .models import Pemesanan
from dtbsmotor.models import *
from django.http import JsonResponse, HttpResponse
from django.core import serializers

def form_pemesanan(request):
	rides = dtbs_motor.objects.all()
	return render(request, 'pemesanan.html', {'rides':rides})

def add_pemesanan(request):
	if (request.method == 'POST'):
		feedback=Pemesanan()
		feedback.pickuptime = request.POST.get('pickuptime')
		feedback.returningtime = request.POST.get('returningtime')
		feedback.locationpickup = request.POST.get('locationpickup')
		feedback.locationreturn = request.POST.get('locationreturn')
		feedback.name = request.POST.get('name')
		feedback.phonenumber= request.POST.get('phonenumber')
		feedback.additionalinfo= request.POST.get('additionalinfo')
		feedback.email = request.POST.get('email')
		feedback.ride = request.POST.get('rides')
		feedback.save()
		return render(request, 'feedback-pemesanan.html')
	else:
		return render(request, 'feedback-pemesanan.html')



def api_rides(request):
	kategori = request.POST.get('kategori', None)
	print(kategori)
	rides= dtbs_motor.objects.filter(category=kategori)
	data = serializers.serialize("json",rides)
	return HttpResponse(data, content_type='application/json')

	# 	pickuptime = request.POST['pickuptime']
	# 	returningtime = request.POST['returningtime']
	# 	locationpickup = request.POST['locationpickup']
	# 	locationreturn = request.POST['locationreturn']
	# 	name = request.POST['name']
	# 	phonenumber = request.POST['phonenumber']
	# 	email = request.POST['email']
	# 	additionalinfo = request.POST['additionalinfo']
	# 	pemesanan = Pemesanan(pickuptime = pickuptime, returningtime = returningtime, locationpickup = locationpickup, 
	# 	locationreturn = locationreturn, name = name, email = email, phonenumber = phonenumber, additionalinfo = additionalinfo)
	# 	pemesanan.save()
	# 	return render(request, 'feedback-pemesanan.html')
	# else:
	# 	return render (request, 'feedback-pemesanan.html')

# Create your views here.

pemesanan/templates/feedback-pemesanan.html
{% extends 'base1.html' %}
{% load static %}

{% block title %}Pemesanan{% endblock title %}

{% block custom_css %}
<style>
  body{
    background-color: #F6E3D4;
  }
</style>
{% endblock custom_css %}

{% block content %}
<div class="cover-container d-flex w-100 h-100  flex-column"></div>
<main role="main" class="inner cover">
  <h1 class="cover-heading">Thank you.</h1>
  <h1 class="lead">Your order is being processed. If you have questions and suggestions, you can fill out the feedback form.</h1>
</main>
<footer class="mastfoot mt-auto">
  <div class="inner">
  </div>
</footer>
</div>
{% endblock content %}

pemesanan/templates/pemesanan.html
{% extends 'base1.html' %}
{% load static %}

{% block title %}Pemesanan{% endblock title %}

{% block custom_css %}
<style>
  body{
    background-color: #F6E3D4;
  }
</style>
{% endblock custom_css %}

{% block content %}

<div class="container">
  {% if user.is_authenticated %}
    <div class="py-5 text-center">
      <img class="d-block mx-auto mb-4" src="https://image.flaticon.com/icons/svg/130/130278.svg" alt="" width="72" height="72">
      <h1>FORM PEMESANAN</h1>
      <form method="POST" action="{% url 'pemesanan:add_pemesanan' %}">
        {% csrf_token %}
    </div>
    <div class="row">
      <div class="col-md-8 order-md-1">
        <h4 class="mb-3">STOP 1 : Select Your Preferred Time and Location</h4>
  </div>
  </div>
        <div class="mb-3">
            <label for="pickuptime">Pick Up Date and Time <span class="text-muted">(Required)</span></label>
            <input type="datetime-local" name="pickuptime" class="form-control" required="" id="pickuptime">
            <div class="invalid-feedback">
              Please enter a valid pick up date and time.
            </div>
          </div>
        <div class="mb-3">
            <label for="returningtime">Returning Date And Time <span class="text-muted">(Required)</span></label>
            <input type="datetime-local" name="returningtime" class="form-control" required="" id="returningtime">
            <div class="invalid-feedback">
              Please enter a valid returning date and time.
            </div>
          </div>
  
          <div class="mb-3">
            <label for="locationpickup">Pick Up Location <span class="text-muted">(Required)</span></label>
            <input name = "locationpickup" type="text" class="form-control" id="locationpickup" placeholder="Johar Baru, Jakarta Pusat">
            <div class="invalid-feedback">
              Please enter a valid pick up location address.
            </div>
          </div>
  
          <div class="mb-3">
            <label for="locationreturn">Location Of Return<span class="text-muted">(Required)</span></label>
            <input name = "locationreturn" type="text" class="form-control" id="locationreturn" placeholder="Johar Baru, Jakarta Pusat" required="">
            <div class="invalid-feedback">
              Please enter a valid return location address.
            </div>
          </div>
  <div class="row">
      <div class="col-md-8 order-md-1">
        <h4 class="mb-3">STOP 2 : Enter Your Details</h4>
          <div class="mb-3">
            <label for="name">Enter Your Name <span class="text-muted">(Required)</span></label>
            <input name = "name" type="name" class="form-control" id="name" placeholder="Clair Jensen">
            <div class="invalid-feedback">
              Please enter a name.
            </div>
          </div>
          <div class="mb-3">
            <label for="phonenumber">Enter Your Phone Number <span class="text-muted">(Required)</span></label>
            <input name = "phonenumber" type="phonenumber" class="form-control" id="phonenumber" placeholder="08123456789">
            <div class="invalid-feedback">
              Please enter a valid phone number.
            </div>
          </div>
          <div class="mb-3">
            <label for="email">Email <span class="text-muted">(Required)</span></label>
            <input name = "email" type="email" class="form-control" id="email" placeholder="you@gmail.com">
            <div class="invalid-feedback">
              Please enter a valid email address.
            </div>
          </div>
  
          <div class="mb-3">
            <label for="additionalinfo">Additional Information<span class="text-muted">(Required)</span></label>
            <input name = "additionalinfo" type="text" class="form-control" id="additionalinfo" placeholder="I will use this motor alone / with #" required="">
            <div class="invalid-feedback">
              Please enter a valid information.
            </div>
          </div>
        <div class="row">
      <div class="col-md-8 order-md-1">
        <h4 class="mb-3">STOP 3 : Choose Your Ride</h4>
          <div class="mb-3">
            <label for="name">Choose Kategori <span class="text-muted">(Required)</span></label>
            <select name="kategori"  class="form-control" id="kategori">
              <option value="a">Matic</option>
              <option value="b">Manual</option>
            </select>
          </div>
          <div class="mb-3">
            <label for="rides">Choose your ride <span class="text-muted">(Required)</span></label>
            <select name = "rides" class="form-control" id="rides">
              {% for ride in rides %}
              <option value="{{ride.motorcycle_type}}"
                      >{{ride.motorcycle_type}}
              </option>
              {% endfor %}
            </select>
          </div>
        <h1 class="lead">
        </h1>
        <button type="submit">
            <h1 class="btn btn-lg">Order Now</h1>
        </button>
      </div>
        </div>
      </div>
  </div>
</div>

        {% else %}
        <h1>You must log in to fill this form!</h1>
        {% endif %}
          
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script>window.jQuery || document.write('<script src="/docs/4.3/assets/js/vendor/jquery-slim.min.js"><\/script>')</script><script src="/docs/4.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-xrRywqdh3PHs8keKZN+8zzc5TX0GRTLCcmivcbNJWm2rs5C8PRhcEn3czEjhAO9o" crossorigin="anonymous"></script>
          <script src="form-validation.js"></script>
        <script>
        function getCookie(name) {
    var cookieValue = null;
    if (document.cookie && document.cookie !== '') {
        var cookies = document.cookie.split(';');
        for (var i = 0; i < cookies.length; i++) {
            var cookie = cookies[i].trim();
            // Does this cookie string begin with the name we want?
            if (cookie.substring(0, name.length + 1) === (name + '=')) {
                cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                break;
            }
        }
    }
    return cookieValue;
}
var csrftoken = getCookie('csrftoken');
$(function() {
    $('#kategori').change(function() {
    console.log('a')
        $.ajax({
            headers: { "X-CSRFToken": csrftoken },
            url: '/pemesanan/api/rides/' ,
            dataType: 'json',
            type: 'POST',
            data: {kategori : $('#kategori').val()},
            success: function(data) {
                console.log('masuk')
                $('#rides').empty(); // clear the current elements in select box
                for (row in data) {
                    console.log(data[row])
                    $('#rides').append($('<option></option>').attr('value', data[row].fields.motorcycle_type).text(data[row].fields.motorcycle_type));
                }
            },
            error: function(jqXHR, textStatus, errorThrown) {
                alert(errorThrown);
            }
        });
    });
});
</script>
{% endblock content %}